#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME: distcc
# DESCRIPTION: Distributed compiler daemon
# WWW: http://distcc.samba.org/

daemon daemon/distccd {
	need = system/bootmisc virtual/net;
	suid = distcc;

	env PORT=3632;
	env ALLOW=192.168.0.0/24;
	env LISTEN=0.0.0.0;
	env NICE=10;

	env_file = /etc/conf.d/distccd;

	exec daemon = /usr/bin/distccd --daemon --no-detach -N ${NICE} --port ${PORT} --allow ${ALLOW} --listen ${LISTEN};
}
