#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME:
# DESCRIPTION:
# WWW:

daemon system/agetty/1 {
	need = system/bootmisc system/mountfs/home;
	provide = virtual/getty/1;
	term_timeout = 3;
	exec daemon = /sbin/agetty 38400 tty1;
	respawn;
	last;
}

daemon system/agetty/* {
	need = system/bootmisc system/mountfs/home;
	provide = virtual/getty/${NAME};
	term_timeout = 3;
	script daemon = {
		case ${NAME} in
			S*)
				TERMTYPE=vt100
				;;
		esac
		exec /sbin/agetty 38400 tty${NAME} ${TERMTYPE}
	};
	respawn;
}

virtual system/agetty {
	need = system/agetty/2 system/agetty/3 system/agetty/4 system/agetty/5 system/agetty/6;
	use = system/mountfs/essential service/issue;
}
