#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME:
# DESCRIPTION:
# WWW:

service system/sysctl {
	need = system/initial;
	script start = {
		if [ -d /etc/sysctl.d ]
		then
			for conf in /etc/sysctl.d/*.conf
			do
				/sbin/sysctl -n -e -q -p "${conf}"
			done
		elif [ -f /etc/sysctl.conf ]
		then
			/sbin/sysctl -n -e -q -p;
		else
			exit 1
		fi
	};
}
