#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME: smartmontools
# DESCRIPTION: Monitoring daemon for S.M.A.R.T. hard drive diagnostics
# WWW: http://smartmontools.sourceforge.net

daemon daemon/smartd {
	need = system/bootmisc;
	env_file = /etc/sysconfig/smartmontools;
	script daemon = {
		[ -f /etc/smartd.conf ] || smartd-conf.py > /etc/smartd.conf
		/usr/sbin/smartd -p /var/run/smartd.pid ${smartd_opts}
	};
	forks;
	pid_of = smartd;
}
