#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME:
# DESCRIPTION:
# WWW:

service service/guarddog {
	need = system/initial;
	provide = virtual/firewall;
	exec start = /etc/rc.firewall;
	script stop = {
		if [ ! -x /sbin/iptables ]
		then
			echo "Cannot find /sbin/ipchains or /sbin/iptables"
			exit 1
		fi
		/sbin/iptables -P OUTPUT ACCEPT
		/sbin/iptables -P INPUT ACCEPT
		/sbin/iptables -P FORWARD ACCEPT
		/sbin/iptables -F
		/sbin/iptables -X
		exit 0
	};
}
