#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME:
# DESCRIPTION:
# WWW:

service service/issue {
	need = system/initial system/mountroot;
	env distro=Fedora;
	script start = {
		arch=`/bin/uname -m`
		a="a"
		case "${arch}" in
			_a*) a="an" ;;
			_i*) a="an" ;;
		esac
		NUMPROC=`/bin/egrep -c "^cpu[0-9]+" /proc/stat`
		if [ "${NUMPROC}" -gt "1" ]
		then
			SMP="${NUMPROC}-processor "
			[ "${NUMPROC}" = "2" ] && SMP="Dual-processor "
			[ "${NUMPROC}" = "8" -o "${NUMPROC}" = "11" ] && a=an || a=a
		fi

		cat <<EOF >/etc/issue
${distro}
Kernel `/bin/uname -r` on ${a} ${SMP}`/bin/uname -m` (\l)
Powered by initng, written by Jimmy Wennlund <jimmy.wennlund@gmail.com>"
EOF

		cat <<EOF >/etc/issue.net
${distro}
Kernel `/bin/uname -r` on ${a} ${SMP}`/bin/uname -m`
Powered by initng, written by Jimmy Wennlund <jimmy.wennlund@gmail.com>"
EOF
	};
}
