#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME: 
# DESCRIPTION: 
# WWW: 

service service/laptop-mode {
	need = system/bootmisc;
	script start = {
		# Run it with "force" so that syslog.conf and hdparm settings
		# are set correctly at system bootup.
		if [ ! -x /usr/sbin/laptop_mode ]
		then
			echo "/usr/sbin/laptop_mode not found!"
			exit 1
		fi

		/bin/touch /var/run/laptop-mode-enabled
		/usr/sbin/laptop_mode auto force >/dev/null
		exit 0
	};
	
	script stop = {
		[ -e /var/run/laptop-mode-enabled ] || exit 0
		/bin/rm -f /var/run/laptop-mode-enabled
		/usr/sbin/laptop_mode stop >/dev/null
	};
}
